package org.argosdic.action.dictionary;

import org.argosdic.ArgosDic;
import org.argosdic.action.BaseAction;
import org.argosdic.dictionary.DictionaryManager;
import org.eclipse.swt.widgets.Event;

/**
 * ChangeDictionaryAction.java
 * @author Xavier Cho
 * @version $Revision: 1.2 $ $Date: 2003/09/21 08:31:54 $
 */
public class RefreshDictionariesAction extends BaseAction {

    public RefreshDictionariesAction(ArgosDic application) {
        super(application);
    }

    /**
     * @see org.eclipse.jface.action.IAction#runWithEvent(org.eclipse.swt.widgets.Event)
     */
    public void runWithEvent(Event event) {
        DictionaryManager manager = DictionaryManager.getInstance();
        manager.initialize();
    }
}
